package org.josast.amicalsat;

import org.josast.amicalsat.generated.FrameTlmAmicalsat.A1PositionType;
import org.josast.amicalsat.generated.FrameTlmAmicalsat.A1Type;

//# #A1;POSITION;[Current timestamp];[Latitude];[Longitude]
public class A1PositionTypeFrame extends Frame {


	private String latitude;
	private String longitude;

	@Override
	protected void setUpFrame() {
		A1Type a1type = (A1Type) data.frameTlmEntrySat().payload().tlmAreaSwitch();
		A1PositionType log = (A1PositionType) a1type.tlmSw();
		
		timeStamps = log.timeStamps();
		hash.put("TimeStamp", timeStamps);
		latitude = log.latitude();
		hash.put("latitude", latitude);
		longitude = log.longitude();		
		hash.put("longitude", longitude);

	}


}
